Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jrmp12.interfaces
Class EntityProxy

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
            |
            +--org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
                  |
                  +--org.jboss.ejb.plugins.jrmp.interfaces.EntityProxy
                        |
                        +--org.jboss.ejb.plugins.jrmp12.interfaces.EntityProxy

All Implemented Interfaces:
  java.io.Externalizable, InvocationHandler, java.io.Serializable

public class EntityProxy
extends EntityProxy
implements InvocationHandler

Version:
  $Revision: 1.7 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  , Serialized Form

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.EntityProxy
`cacheKey`

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`GET_EJB_HOME, GET_HANDLE, GET_PRIMARY_KEY, IS_IDENTICAL`

Fields inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`container, EMPTY_ARGS, EQUALS, HASH_CODE, initialContextHandle, name, optimize, TO_STRING, tpcFactory`

Constructor Summary
`EntityProxy()`
`EntityProxy(java.lang.String name, ContainerRemote container, java.lang.Object id, boolean optimize)`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.EntityProxy
`invoke, readExternal, writeExternal`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.BeanProxy
`getEJBHome, isIdentical`

Methods inherited from class org.jboss.ejb.plugins.jrmp.interfaces.GenericProxy
`addLocal, createInitialContext, createMarshalledObject, getCredential, getPrincipal, getTransaction, getTransactionPropagationContext, invokeContainer, isLocal, removeLocal, setTPCFactory, setTransactionManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.proxy.InvocationHandler
`invoke`

Constructor Detail

### EntityProxy

    public EntityProxy()

### EntityProxy

    public EntityProxy(java.lang.String name,
                       ContainerRemote container,
                       java.lang.Object id,
                       boolean optimize)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.